Bug 803688 - class Queue overrides class Queue from Ruby Std-lib
class Queue overrides class Queue from Ruby Std-lib
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Petr Chalupa
Katello QA List
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2012-03-15 08:31 EDT by Petr Chalupa
Modified: 2015-05-04 21:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-08-31 15:56:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Petr Chalupa 2012-03-15 08:31:42 EDT
Description of problem:
methods #empty? and #clear are overridden in katello implementation of Queue class. This can break any required gem depending on original Queue [1] implementation.

[1] http://www.ruby-doc.org/stdlib-1.8.7/libdoc/thread/rdoc/Queue.html

Version-Release number of selected component (if applicable):

How reproducible:
this is only a precaution

Steps to Reproduce:
Actual results:

Expected results:
rename katello's Queue so the two classes do not collide

Additional info:
Comment 1 Petr Chalupa 2012-03-30 08:20:09 EDT
fixed in 62c7c4b139834b3f078332d2ce281304943b0806
Comment 3 Mike McCune 2012-08-31 15:56:10 EDT
fixed in upstream, no QE or errata necessary.  closing

Note You need to log in before you can comment on or make changes to this bug.